yum安装指定版本ceph包

安装ceph包的方式有很多,这里讲的是从官网直接通过yum源的安装方式进行安装

yum源对应的地址为
http://download.ceph.com/rpm-hammer/el6/x86_64/

怎么配置ceph源就不在这里赘述了

下图为ceph官网的yum源里面的文件列表:

可以看到有多个版本的,默认的会安装最新的版本的

这样就会有个问题:
安装了一个老版本的包,需要安装一个附属的包,安装的版本就会是最新版本的,而不是已经安装的版本的附属的包,会引起版本错乱

解决办法:

1、查询源里面的包有多少个版本

[root@zhongbo ~]# yum --showduplicates list ceph | expand
Loaded plugins: security
Available Packages
ceph.x86_64 1:0.94-0.el6 ceph
ceph.x86_64 1:0.94.1-0.el6 ceph
ceph.x86_64 1:0.94.2-0.el6 ceph
ceph.x86_64 1:0.94.3-0.el6 ceph
ceph.x86_64 1:0.94.4-0.el6 ceph
ceph.x86_64 1:0.94.5-0.el6 ceph

2、安装指定版本的包

假如现在需要安装的是1:0.94.4-0.el6这个版本
安装的格式为:

yum install <package name>-<version info>

对应到这里

yum install ceph-0.94.4-0.el6

注意名称规则是前面的名称,中间的版本去掉 1: 然后就可以安装指定版本的包了